/*download and save "chapter8_example.sas7bdat" in c:\regression*/

libname in 'c:\regression';
run;

/*descriptive statistics*/


proc means data=in.example_chapter8 mean median std var min max var range;
var child sibling;
run;


proc freq data=in.example_chapter8;
table academic gender;
run;



/*making dummy variables*/

data analysis1;
set in.example_chapter8;
if academic = "Bachelors" then b_dummy = 1;
else b_dummy =0;
if academic = "Graduate degree" then g_dummy = 1;
else g_dummy = 0;
if academic = "High school" then h_dummy = 1;
else h_dummy =0;

if gender = "Male" then male_dummy=1;
else male_dummy=0;
run;


/* correlations among X's*/
proc corr data=analysis1;
var  b_dummy g_dummy male_dummy sibling;
run;

/*Poisson regression with "High school" and "Female" as reference categories
(Y = child, X = b_dummy g_dummy male_dummy sibling)*/
proc genmod data=analysis1;
model child=b_dummy g_dummy male_dummy sibling/ dist=poisson ;
run; 

/* Partial poisson model without academic dummy variables
(Y = child, X = m_dummy sibling*/ 
proc genmod data=analysis1;
model child=male_dummy sibling / dist=poisson ;
run; /*Poisson partial model */


/*Poisson regression with "Graduate degree" and "Female" as reference categories
(Y = child, X = b_dummy h_dummy male_dummy sibling)*/
proc genmod data=analysis1;
model child=b_dummy h_dummy male_dummy sibling/ dist=poisson ;
run; 


